.favorite-button {
  cursor: pointer;
  border: 0;
  color: red;
  /* 20240221 */
  background-color: transparent;


}
/* .favorite-button:hover {
  color: transparent;
  background-color: lightcoral;
} */

.favorite-button .favorite__icon {
  height: 20px;
  width: 20px;
  opacity: 0;
  transition: opacity 0.3s, transform 0.3s;
  transform: scale(.6);
  position: absolute;

}
.favorite-button .favorite__icon:hover {
  color: lightcoral;
  /* background-color: lightcoral; */
}

.favorite-button.is-favorite .favorite--enable {
  opacity: 1;
  transform: scale(1);
}
/* .favorite-button.is-favorite .favorite--enable:hover {

  background-color: transparent;
} */

.favorite-button:not(.is-favorite) .favorite--not {
  opacity: 1;
  transform: scale(1);
}
/* .favorite-button:not(.is-favorite) .favorite--not:hover {

  background-color: lightcoral;
} */

.wrapheartdiv {
  position: relative;
}
.fypheart {
  position: absolute;
  top:10px;
  right: 20px;
  /* background-color: white; */

}
/* img at user page as a tag */
.userimg {
  opacity: 1;
  
}
.userimg:hover {
opacity: 0.8;
transition: opacity 0.3s;
cursor: pointer;
}
